# CHANGELOG

## v3.1.0

> `2019-12-09`

### 🎉 Feature
  - `tooltip` supports `hover` and `active` parameter. [#423](https://github.com/NightCatSama/vue-slider-component/issues/423)
  - `tooltip` default parameters changed from `focus` to `active`. [document](https://nightcatsama.github.io/vue-slider-component/#/api/props?hash=tooltip)

## v3.0.46

> `2019-12-08`

### 🐞 Bug Fixes
  - Cannot drag when included and lazy are both equal to true. [#421](https://github.com/NightCatSama/vue-slider-component/issues/421)

## v3.0.45

> `2019-12-07`

### 🐞 Bug Fixes
  - Fix label still clickable when `clickable=true`. [#422](https://github.com/NightCatSama/vue-slider-component/issues/422)

## v3.0.44

> `2019-11-29`

### 🐞 Bug Fixes
  - Fixing `will-change` will blur tooltips. [#418](https://github.com/NightCatSama/vue-slider-component/issues/418)

## v3.0.43

> `2019-11-14`

### 🐞 Bug Fixes
  - Fix `minRange`, `maxRange` cannot be calculated correctly. [#414](https://github.com/NightCatSama/vue-slider-component/issues/414)

## v3.0.42

> `2019-10-03`

### 🐞 Bug Fixes
  - Can't scroll on mobile devices. [#413](https://github.com/NightCatSama/vue-slider-component/issues/413)

## v3.0.41

> `2019-09-27`

### 🎉 Feature
  - Add Prop `DragOnClick` to allow the user to drag the slider directly when pressing the process. [PR#404](https://github.com/NightCatSama/vue-slider-component/pull/404)

## v3.0.40

> `2019-09-01`

### 🎉 Feature
  - Slot process add parameter `index`.

## v3.0.39

> `2019-08-28`

### 🐞 Bug Fixes
  - Keyboard control is abnormal with `included = true`. [#395](https://github.com/NightCatSama/vue-slider-component/issues/395)

## v3.0.38

> `2019-08-13`

### 🐞 Bug Fixes
  - `useKeyboard` does not work. [#389](https://github.com/NightCatSama/vue-slider-component/issues/389)

## v3.0.37

> `2019-08-13`

### 🎉 Feature
  - Export mark component and dot component
  - Support default slot

## v3.0.35

> `2019-08-12`

### 🐞 Bug Fixes
  - Remove `.vue-slider-sr-only`. [#68](https://github.com/NightCatSama/vue-slider-component/issues/68)

## v3.0.34

> `2019-08-04`

### 🐞 Bug Fixes
  - Compatible screen reader.
  - The cursor does not display the disabled flag when `disabled: true`

## v3.0.33

> `2019-06-27`

### 🎉 Feature
  - Add prop `keydownHook`. [#377](https://github.com/NightCatSama/vue-slider-component/issues/377)

### 🐞 Bug Fixes
  - Tooltip is not displayed correctly in lazy mode. [#375](https://github.com/NightCatSama/vue-slider-component/issues/375)

## v3.0.32

> `2019-06-04`

### 🐞 Bug Fixes
  - Fix `mark` rendering order is not correct. [#370](https://github.com/NightCatSama/vue-slider-component/issues/370)

## v3.0.31

> `2019-04-30`

### 🐞 Bug Fixes
  - Fix IE does not support `Array.from`. [#353](https://github.com/NightCatSama/vue-slider-component/issues/353)

## v3.0.30

> `2019-04-22`

### 🐞 Bug Fixes
  - Fix when the `mark` is an object, `include` does not work.

## v3.0.29

> `2019-04-21`

### 🎉 Feature
  - `tooltipFormatter` support array type. [#349](https://github.com/NightCatSama/vue-slider-component/issues/349)

## v3.0.28

> `2019-04-17`

### 🐞 Bug Fixes
  - Fix typescript declaration file conflict. [#346](https://github.com/NightCatSama/vue-slider-component/issues/346)

## v3.0.27

> `2019-04-16`

### 🐞 Bug Fixes
  - Fix `MouseEvent` is not available in `cypress`. [#345](https://github.com/NightCatSama/vue-slider-component/issues/345)

## v3.0.26

> `2019-04-09`

### 🎉 Feature
  - `dotOptions` support sliding range limit (`min` and `max`).

## v3.0.25

> `2019-04-04`

### 🐞 Bug Fixes
  - `tooltipPlacement` not support array type. [#338](https://github.com/NightCatSama/vue-slider-component/issues/338)

## v3.0.24

> `2019-04-04`

### 🎉 Feature
  - Support scss variable to override default style

## v3.0.23

> `2019-04-03`

### 🎉 Feature
  - Add prop `contained` to support for two alignment modes. [#337](https://github.com/NightCatSama/vue-slider-component/issues/337)

## v3.0.22

> `2019-04-01`

### 🐞 Bug Fixes
  - Use `indexOf` instead of `includes`, fix [#334](https://github.com/NightCatSama/vue-slider-component/issues/334)

## v3.0.21

> `2019-03-28`

### 🐞 Bug Fixes
  - Mouse/Touch position calculation error

## v3.0.19

> `2019-03-28`

### 🎉 Feature
  - Add Prop `adsorb` to control the slider to automatically adsorb to the nearest value

## v3.0.18

> `2019-03-28`

### 🎉 Feature
  - Add extraction css, support server-side rendering

## v3.0.17

> `2019-03-27`

### 🎉 Feature
  - Add Slot (`process`)

## v3.0.16

> `2019-03-19`

### 🎉 Feature
  - Add Methods (`setValue` and `setIndex`)
  - Add Prop `silent` to suppress all warnings.

## v3.0.15

> `2019-03-15`

### 🐞 Bug Fixes
  - Calculation error when using BigNumber

## v3.0.13

> `2019-03-14`

### 🐞 Bug Fixes
  - Typescript Compile Error, fix [#321](https://github.com/NightCatSama/vue-slider-component/issues/321)

## v3.0.12

> `2019-03-14`

### 🎉 Feature
  - `width` and `height` support `String` type

## v3.0.11

> `2019-03-13`

### 🔧 Chore
  - Optimize package size
  - Upgrade vue-property-decorator, fix [#320](https://github.com/NightCatSama/vue-slider-component/issues/320)

## v3.0.8

> `2019-03-11`

### 🐞 Bug Fixes
  - Component not updated when array length changes

## v3.0.5

> `2019-03-02`

### 🎉 Feature
  - Add Methods (`getValue` and `getIndex`)

## v3.0.3

> `2019-03-01`

### 🐞 Bug Fixes
  - Typescript type error

## v3.0.2

> `2019-02-28`

### 🎉 Feature
  - More customizable (`style`/`slot`)
  - Multiple style themes
  - Support for more sliders (Countless)
  - Add marks
  - Support SSR
  - Support Typescript

### 🐞 Bug Fixes
  - Fix v2.x exception. (No longer need to call refresh)
